%global modulename rxjs

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-rxjs
Version:        6.3.3
Release:        1%{?dist}
Summary:        Reactive Extensions for modern JavaScript

License:        ASL 2.0
URL:            https://github.com/ReactiveX/RxJS
Source0:        https://registry.npmjs.org/rxjs/-/rxjs-6.3.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(tslib) >= 1.9.0 with npmlib(tslib) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Reactive Extensions for modern JavaScript

%package 6.3.3
Summary:        Reactive Extensions for modern JavaScript


%description 6.3.3
Reactive Extensions for modern JavaScript

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr AsyncSubject.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr AsyncSubject.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr AsyncSubject.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr BehaviorSubject.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr BehaviorSubject.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr BehaviorSubject.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr InnerSubscriber.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr InnerSubscriber.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr InnerSubscriber.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Notification.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Notification.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Notification.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Observable.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Observable.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Observable.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Observer.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Observer.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Observer.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Operator.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Operator.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Operator.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr OuterSubscriber.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr OuterSubscriber.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr OuterSubscriber.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr ReplaySubject.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr ReplaySubject.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr ReplaySubject.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Rx.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Rx.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Rx.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Scheduler.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Scheduler.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Scheduler.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Subject.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Subject.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Subject.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr SubjectSubscription.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr SubjectSubscription.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr SubjectSubscription.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Subscriber.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Subscriber.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Subscriber.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Subscription.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Subscription.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Subscription.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr _esm2015 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr _esm5 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr add %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr ajax %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bundles %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr interfaces.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr interfaces.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr interfaces.js.map %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr internal %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr internal-compatibility %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr migrations %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr observable %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr operator %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr operators %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr scheduler %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr src %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr symbol %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr testing %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr util %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr webSocket %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc LICENSE.txt
%doc README.md
%{nodejs_dir}/%{modulename}

%files 6.3.3
%doc LICENSE.txt
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 6.3.3-1
- Package automatically generated by npm2srpm
